#PCLinuxOS Copyright by Bill Reynolds (Texstar)

%define prefix /usr
%define name key-train
%define version 0.1.3
%define release %mkrel 2
%define url http://code.google.com/p/key-train/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Apache License 2.0
Group:		Education
URL:		%{url}
Source:		http://key-train.googlecode.com/files/%{name}-%{version}.tar.gz
Source2:	keyboard.png
Summary:	Keyboard Training Software (for linux)	
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:  %{_lib}python-devel
Requires:	python, python-yaml, python-lxml
Obsoletes:	%name < %version

%description
A keyboard training program which I'm designing for my 9 year old son. 

This is a keyboard training program (i.e. typing tutor) for touch typing, 
still in it's early days.

Goals:

* Open source and open community.
* Various languages supported (although not right to left nor logographic 
  writing systems - ex. Kanji) (todo)
* Various international keyboards supported and probably dvorak keyboards 
  as well. (todo)
* Attractive interface. (todo)
* Scalable graphics, make the window as small or as large as you like.
* Show the beginner typist where they should place their fingers. (todo)
* Interesting text for advanced users instead of just random gibberish. 
  Will pull in text from Wikipedia entries, for various languages. (todo)
* Beginner levels will have random text, however, and they should focus on 
  common bi-grams and trigrams of the language in question, to build up 
  muscle memory for common key combinations. (todo)
* Random text should also start with very simple letter combinations, like 
  two keys close together for training the first time. (todo)
* Stats and progression. (todo)
* Heatmap of trouble keys for the student. (todo)
* Auto build lessons to work on the trouble keys. (todo)
* Lessons for the number keys and punctuation marks. (todo)
* Start off without the space bar or the backspace key, add these keys later. 


%prep

%setup -q -n %{name}-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

#Icon-Starter erstellen
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
Exec=%{_bindir}/%{name}
Icon=keyboard.png
Terminal=false
Type=Application
Categories=Educational;Teaching;X-MandrivaLinux-MoreApplications-Education-Other;
Encoding=UTF-8
EOF



%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{python_sitelib}/*
%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Aug 17 2013 billybot <billybot> 0.1.3-2pclos2013
- update python 2.7

* Mon Mar 19 2012 Neal <nealbrks0 at gmail dot com> 0.1.3-1pclos2012
- process

* Sun Mar 18 2012 leiche <meisssw01 at gmail.com> 0.1.3-1pclos2012
- initial package
